Package org.apache.sysds.runtime.controlprogram.federated.monitoring.services

# Class StatisticsService

java.lang.Object
org.apache.sysds.runtime.controlprogram.federated.monitoring.services.StatisticsService

public class StatisticsService extends Object

## Constructor Summary

Constructors
Constructor
Description
`StatisticsService()`

## Method Summary

Modifier and Type
Method
Description
`StatisticsModel`
`getAll(Long workerId, StatisticsOptions options)`
`static StatisticsModel`
`getWorkerStatistics(Long id, String address)`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### StatisticsService

public StatisticsService()

## Method Details

### getAll

public StatisticsModel getAll(Long workerId, StatisticsOptions options)

### getWorkerStatistics

public static StatisticsModel getWorkerStatistics(Long id, String address)